/**
 * AsyncSeasonTicketPTSOAPBindingImpl.java
 *
 */


package org.objectweb.orchestra.demo.asyncSeasonTicket;

import java.util.* ;

public class Service1SoapImpl implements org.objectweb.orchestra.demo.asyncSeasonTicket.Service1Soap {
    public AsyncSeasonTicketRequestMessageResponse initiate(AsyncSeasonTicketRequestMessage seasonTicketRequestMessage) throws java.rmi.RemoteException {
        System.out.println("AsyncSeasonTicketRequestMessageResponse Invocation ... ");
        org.objectweb.orchestra.demo.college.RecordInfoType recordInfo = seasonTicketRequestMessage.getRecordInfo();
        org.objectweb.orchestra.demo.asyncSeasonTicket.AsyncSeasonTicketRequest seasonTicketRequest = seasonTicketRequestMessage.getSeasonTicketRequest();
        String busStop = seasonTicketRequest.getSchoolBusDeparture() ;
        try {
            Class clt = Class.forName("org.objectweb.orchestra.demo.asyncSchoolEnrolment.AsyncSeasonTicketResponse");
            Object str = clt.newInstance();
            java.lang.reflect.Method mt = clt.getDeclaredMethod("setSchoolRecordNb",new Class[] {java.lang.String.class});
            mt.invoke(str,new Object[] {recordInfo.getSchoolRecordNb()});
            mt = clt.getDeclaredMethod("setBusCompanyRecordNb",new Class[] {java.lang.String.class});
            mt.invoke(str,new Object[] {new String("")});
            mt = clt.getDeclaredMethod("setSchoolBusCompanyResponse",new Class[] {java.lang.String.class});
            mt.invoke(str,new Object[] {new String("No BusStop with this Name : " + busStop)});

            Vector stopNames = new Vector() ;
            stopNames.addElement("grenoble") ;
            stopNames.addElement("eybens") ;
            stopNames.addElement("fontaine") ;
            stopNames.addElement("bresson") ;
            stopNames.addElement("echirolles") ;
            stopNames.addElement("jarrie") ;
            int i = 0 ;
            int cpt = 0;
            while (i != -1 & cpt < stopNames.size()) {
                if (busStop.equalsIgnoreCase((String) stopNames.get(cpt)) ) {
                    i = -1 ;
                }
                cpt++;
            }
            if (i == -1) {
                mt = clt.getDeclaredMethod("setSchoolBusCompanyResponse",new Class[] {java.lang.String.class});
                mt.invoke(str,new Object[] {new String("OK")});
                String rep = "BC" ;
                rep = recordInfo.getSchoolRecordNb() + rep ;
                mt = clt.getDeclaredMethod("setBusCompanyRecordNb",new Class[] {java.lang.String.class});
                mt.invoke(str,new Object[] {new String(rep)});
            }
            // Callback invocation
            try {
                Class cl = Class.forName("org.objectweb.orchestra.demo.asyncSchoolEnrolment.AsyncSeasonTicketServiceCallbackBPLocator");
                Object as = cl.newInstance();
                java.lang.reflect.Method m = cl.getDeclaredMethod("getasyncSeasonTicketCallbackPT",null);
                Object ast = m.invoke(as,null);
                cl = ast.getClass();
                m = cl.getDeclaredMethod("onResult",new Class[]{str.getClass()});
                m.invoke(ast,new Object[] {str});
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }

        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
        System.out.println("AsyncSeasonTicketRequestMessageResponse Termination ... ");
        return new AsyncSeasonTicketRequestMessageResponse();
    }

}
