package org.objectweb.orchestra.samples.bpemdemo1;

import java.lang.*;
import java.math.*;

public class Bpemdemo1Client
{
    public static void main(String [] args)
    {
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Single argument must be a numeric value representing loop delay time");
        } else {
            try {
                System.out.println("Loops will delay for: "+ args[0] + " seconds each...");
                Bpemdemo1ServiceBP is=new Bpemdemo1ServiceBPLocator();
                Bpemdemo1PT ipt=is.getbpemdemo1PT();
                Processbpemdemo1Type in = new Processbpemdemo1Type();
                in.setValue(java.lang.Integer.parseInt(args[0]));
                Processbpemdemo1ResponseType out = ipt.process(in);
                System.out.println("Loops delayed for: "+out.getResult() + " seconds each.");
            } catch (NumberFormatException e) {
                System.out.println(">>>>> ERROR: " + args[0] + " is not an integer, please enter a single integer value...");
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
