package org.objectweb.orchestra.samples.echo;
import javax.xml.rpc.holders.*;

import java.lang.*;

import java.math.*;

public class EchoClient
{
    public static void main(String [] args)
    {
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println(">>>>>        The first should be a string");
        } else {
            try {
                EchoServiceBP es=new EchoServiceBPLocator();
                EchoPT ept=es.getechoPT();
                StringHolder in = new StringHolder(args[0]);
                ept.echo(in);
                System.out.println(">>>>> ECHO response received: "+ in.value );
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
