package org.objectweb.orchestra.samples.sendmail;

public class SendmailClient {
    public static void main(String[] args) {
        int argNb = 3;
        if (args.length < argNb) {
            System.out.println("Number of arguments needed : " + argNb);
            System.out.println("Args: <to> <from> <subject> <optional message text>");
        } else {
            try {
                System.out.println(">>>>> SENDMAIL Input :" + args[0]);
                SendmailServiceBP is = new SendmailServiceBPLocator();
                SendmailPT ipt = is.getsendmailPT();
                InitiateSendmailType in = new InitiateSendmailType();
                in.setTo(args[0]);
                in.setFrom(args[1]);
                in.setSubject(args[2]);
                StringBuffer message = new StringBuffer();
                message.append("");
                for(int i = 3; i < args.length; ++i)
                    message.append(args[i]).append(" ");
                in.setMessage(message.toString());
                InitiateSendmailResponseType out = ipt.initiate(in);
                System.out.println(">>>>> SENDMAIL Response received: "
                        + out.getResult());

            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
