/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.bpem.controller;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

public class BPEMUtils {

	// This is initialized by the main BPEM routine at startup.
	//
	private static JFrame frame = null;

	public static JFrame getFrame() {
		return frame;
	}

	public static void setFrame(JFrame frame) {
		BPEMUtils.frame = frame;
	}
	
	public static void showError(String title, String msg) {
		//
		// log in console
		//
		System.out.println(title);
		System.out.println(msg);
		//
		// And also display in message box
		//
        JOptionPane.showMessageDialog(frame, msg, title, JOptionPane.ERROR_MESSAGE);
	}
}
