package org.objectweb.orchestra.tests.unit.unitBPELJFault;

import org.objectweb.orchestra.util.BPELConstants;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.objectweb.orchestra.tests.unit.unitBPELJFault.BPELJFault;
import org.objectweb.orchestra.tests.unit.unitBPELJFault.BPELJFaultServiceBP;
import org.objectweb.orchestra.tests.unit.unitBPELJFault.BPELJFaultServiceBPLocator;


public class TestBPELJFault extends TestCase {

    private BPELJFaultServiceBP sts = null;
    private BPELJFault stpt = null;

    public TestBPELJFault(String testname) {
        super(testname);
    }

    public static TestSuite suite() {
        return new TestSuite(TestBPELJFault.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.sts = new BPELJFaultServiceBPLocator();
        this.stpt = this.sts.getBPELJFault();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestBPELJFault(testtorun));
        }
    }

    public void testBPELJFault1() throws Exception {
        String result = this.stpt.start("test1");
        assertTrue("BPELJFault1 error", result.equals("catch1"));
    }

    public void testBPELJFault2() throws Exception {
        String result = this.stpt.start("test2");
        assertTrue("BPELJFault2 error", result.equals("catch2"));
    }

    public void testBPELJFault3() throws Exception {
        String result = this.stpt.start("test3");
        assertTrue("BPELJFault3 error", result.equals("catch3"));
    }

    public void testBPELJFault4() throws Exception {
        String result = this.stpt.start("test4");
        assertTrue("BPELJFault4 error", result.equals("catch4"));
    }

    public void testBPELJFault5() throws Exception {
        String result = this.stpt.start("test5");
        assertTrue("BPELJFault5 error", result.equals("catch5"));
    }

    public void testBPELJFault6() throws Exception {
        String result = this.stpt.start("test6");
        assertTrue("BPELJFault6 error", result.equals("catch6"));
    }

    public void testBPELJFault7() throws Exception {
        String result = this.stpt.start("test7");
        assertTrue("BPELJFault7 error", result.equals("catch7"));
    }

    public void testBPELJFault8() throws Exception {
        String result = this.stpt.start("test8");
        assertTrue("BPELJFault8 error", result.equals("catch8"));
    }

    public void testBPELJFault8_bis() throws Exception {
        String result = this.stpt.start("test8_bis");
        assertTrue("BPELJFault8 error", result.equals("catch8"));
    }

    public void testBPELJFault9() throws Exception {
        String result = this.stpt.start("test9");
        assertTrue("BPELJFault9 error", result.equals("catch9"));
    }

    public void testBPELJFault10() throws Exception {
        String result = this.stpt.start("test10");
        assertTrue("BPELJFault10 error", result.equals("catchAll"));
    }
}



