// Created by Xslt generator for Eclipse.
// XSL :  not found (java.io.FileNotFoundException:  (Bad file descriptor))
// Default XSL used : easystruts.jar$org.easystruts.xslgen.JavaClass.xsl

package fr.demo.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/** 
 * Formulaire.java created by EasyStruts - XsltGen.
 * http://easystruts.sf.net
 * created on 09-06-2004
 * 
 * XDoclet definition:
 * @struts:form name="Formulaire"
 */
public class Formulaire extends ActionForm {
    
    // --------------------------------------------------------- Instance Variables
    
    /** cp property */
    private String cp;
    
    /** ville property */
    private String city;
    
    /** N??? property */
    private String number;
    
    /** adresse property */
    private String street;
    
    /** prenom property */
    private String firstName;
    
    /** nom property */
    private String name;
    
    // --------------------------------------------------------- Methods
    
    /** 
     * Method validate
     * @param ActionMapping mapping
     * @param HttpServletRequest request
     * @return ActionErrors
     */
    public ActionErrors validate(ActionMapping mapping,HttpServletRequest request) {
        ActionErrors errors=new ActionErrors();
        if(this.name==null || this.name.equals("")){
            errors.add("name",new ActionError("error.name"));
        }
        if(this.firstName==null || this.firstName.equals("")){
            errors.add("firstName",new ActionError("error.firstName"));
        }
        if(this.number==null || this.number.equals("")){
            errors.add("number",new ActionError("error.number"));
        }
        if(this.street==null || this.street.equals("")){
            errors.add("street",new ActionError("error.street"));
        }
        if(this.cp==null || this.cp.equals("")){
            errors.add("cp",new ActionError("error.cp"));
        }
        if(this.city==null || this.city.equals("")){
            errors.add("city",new ActionError("error.city"));
        }
        return errors;
        
    }
    
    /** 
     * Method reset
     * @param ActionMapping mapping
     * @param HttpServletRequest request
     */
    public void reset(ActionMapping mapping, HttpServletRequest request) {
        cp = "";
        city = "";
        street = "";
        firstName = "";
        name = "";
        number="";
    }
    
    /** 
     * Returns the cp.
     * @return String
     */
    public String getCp() {
        return cp;
    }
    
    /** 
     * Set the cp.
     * @param cp The cp to set
     */
    public void setCp(String cp) {
        this.cp = cp;
    }
    
    /** 
     * Returns the number.
     * @return String
     */
    public String getNumber() {
        return number;
    }
    
    /** 
     * Set the number.
     * @param number number cp to set
     */
    public void setNumber(String number) {
        this.number = number;
    }
    
    /** 
     * Returns the ville.
     * @return String
     */
    public String getCity() {
        return city;
    }
    
    /** 
     * Set the ville.
     * @param ville The ville to set
     */
    public void setCity(String city) {
        this.city = city;
    }
    
    /** 
     * Returns the adresse.
     * @return String
     */
    public String getStreet() {
        return street;
    }
    
    /** 
     * Set the adresse.
     * @param adresse The adresse to set
     */
    public void setStreet(String street) {
        this.street = street;
    }
    
    /** 
     * Returns the prenom.
     * @return String
     */
    public String getFirstName() {
        return firstName;
    }
    
    /** 
     * Set the prenom.
     * @param prenom The prenom to set
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    
    /** 
     * Returns the nom.
     * @return String
     */
    public String getName() {
        return name;
    }
    
    /** 
     * Set the nom.
     * @param nom The nom to set
     */
    public void setName(String name) {
        this.name = name;
    }
    
}
