package org.objectweb.orchestra.samples.helloworld;

public class HelloWorldClient
{
    public static void main(String [] args)
    {
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println("             The first should be a string");
        } else {
            try {
                HelloWorldServiceBP fs=new HelloWorldServiceBPLocator();
                HelloWorld fpt=fs.getHelloWorld();
                InitiateHelloWorldT in = new InitiateHelloWorldT();
                in.setName(args[0]);
                InitiateHelloWorldResponseT out = fpt.initiate(in);
                System.out.println(">>>>> HELLOWORLD response received: " + out.getResult());
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
